## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_with cmake

%global _QCAD_DIR %{_libdir}/%{name}
%global _QT_PLUGINS %{_qt5_plugindir}

# Filter private libraries
%global __provides_exclude ^(%%(find %{buildroot}%{_libdir}/qcad -name '*.so' | xargs -n1 basename | sort -u | paste -s -d '|' -))
%global __requires_exclude ^(%%(find %{buildroot}%{_libdir}/qcad -name '*.so' | xargs -n1 basename | sort -u | paste -s -d '|' -))
#

Name:    qcad
Version: 3.32.0.0
Release: %autorelease
Epoch:   1
Summary: Powerful 2D CAD system

## Main license: GPLv3
##
## 3rd parties licenses: 
## dxflib: GPLv2+.
#  See src/3rdparty/dxflib/gpl-2.0greater.txt
## opennurbs: Public domain (neither copyright nor copyleft apply).
#  See src/3rdparty/opennurbs/readme.txt
## spatialindexnavel:  MIT
#  See src/3rdparty/spatialindexnavel/COPYING
## stemmer: BSD 2-Clause License
#  See src/3rdparty/stemmer/bsd-2.txt
## Hershey fonts are released under the terms described in fonts/hershey.readme.
## Other fonts in directory 'fonts' are released as public domain (all copyright
## is waived) and BSD (3-clauses).

License: GPL-3.0-only AND GPL-2.0-or-later AND MIT AND BSD-2-Clause AND BSD-3-Clause AND LicenseRef-Callaway-Public-Domain AND CC-BY-3.0 AND LicenseRef-Hershey
Source0: https://github.com/qcad/qcad/archive/v%{version}/%{name}-%{version}.tar.gz
Source1: %{name}.desktop
Source2: %{name}.appdata.xml
URL: https://www.qcad.org/

BuildRequires: qt5-qtbase-devel >= 5.9.0
BuildRequires: qt5-rpm-macros >= 5.9.0
BuildRequires: qt5-qttools-devel >= 5.9.0
BuildRequires: qt5-qttools-static >= 5.9.0
BuildRequires: qt5-qtscript-devel >= 5.9.0
BuildRequires: qt5-qtsvg-devel >= 5.9.0
BuildRequires: qt5-qtxmlpatterns-devel >= 5.9.0
BuildRequires: qt5-qtdeclarative-devel >= 5.9.0
Requires:      qt5-qtsvg%{?_isa}
Requires:      qt5-qtscript%{?_isa}
Provides:      bundled(qtscriptgenerator) = 5.15.11
BuildRequires: gcc-c++, chrpath
%if %{with cmake}
BuildRequires: cmake
%endif
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXrender-devel
BuildRequires: libSM-devel
BuildRequires: freetype-devel
BuildRequires: fontconfig-devel
BuildRequires: make
BuildRequires: openssl-devel
BuildRequires: dbus-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib
BuildRequires: fontpackages-devel
BuildRequires: vlgothic-fonts
BuildRequires: dejavu-sans-fonts
BuildRequires: dejavu-sans-mono-fonts

Requires:      dejavu-sans-fonts
Requires:      dejavu-sans-mono-fonts
Requires:      hicolor-icon-theme
Requires:      vlgothic-fonts


Provides:      bundled(dxflib) = 1.0.0
Provides:      bundled(opennurbs) = 201004095
Provides:      bundled(stemmer) = 1.0.0
# Unbundling this library may cause crashes of the software
Provides:      bundled(spatialindex) = 1.9.1
Provides:      bundled(spatialindexnavel) = 1.9.1

%description
QCAD is an application for computer aided drafting (CAD) in two dimensions (2D).
With QCAD you can create technical drawings such as plans for buildings,
interiors, mechanical parts or schematics and diagrams.
QCAD was designed with modularity, extensibility and portability in mind.
But what people notice most often about QCAD is its intuitive
user interface.
QCAD is an easy to use but powerful 2D CAD system for everyone.
You dont need any CAD experience to get started with QCAD immediately.

%prep
%setup -n %{name}-%{version} -q

rm -rf ../*-SPECPARTS

# Use Fedora Qt5 scripts
cp -a src/3rdparty/qt-labs-qtscriptgenerator-5.15.8 src/3rdparty/qt-labs-qtscriptgenerator-5.15.15
mv src/3rdparty/qt-labs-qtscriptgenerator-5.15.15/qt-labs-qtscriptgenerator-5.15.8.pro \
 src/3rdparty/qt-labs-qtscriptgenerator-5.15.15/qt-labs-qtscriptgenerator-5.15.15.pro
 
cp -a src/3rdparty/qt-labs-qtscriptgenerator-5.15.8 src/3rdparty/qt-labs-qtscriptgenerator-5.15.14
mv src/3rdparty/qt-labs-qtscriptgenerator-5.15.14/qt-labs-qtscriptgenerator-5.15.8.pro \
 src/3rdparty/qt-labs-qtscriptgenerator-5.15.14/qt-labs-qtscriptgenerator-5.15.14.pro

%build
# QT is known not to work properly with LTO at this point.  Some of the issues
# are being worked on upstream and disabling LTO should be re-evaluated as
# we update this change.  Until such time...
# Disable LTO
%define _lto_cflags %{nil}

%if %{with cmake}
%define _vpath_srcdir ./
%define _vpath_builddir ./
export LDFLAGS="%{__global_ldflags} -Wl,-rpath -Wl,%{_QCAD_DIR}"
%cmake -DBUILD_QT6:BOOL=OFF -DCMAKE_BUILD_TYPE:STRING=Release \
       -DCMAKE_CFLAGS_RELEASE="%{build_cflags} %(pkg-config --cflags Qt5UiTools)" \
       -DCMAKE_CXXFLAGS_RELEASE="%{build_cxxflags} %(pkg-config --cflags Qt5UiTools)" \
       -DCMAKE_VERBOSE_MAKEFILE:BOOL=TRUE
%cmake_build
%else
%{_qt5_qmake} -makefile CONFIG+=release %{name}.pro \
 QMAKE_CFLAGS_RELEASE+="%{_qt5_optflags} %(pkg-config --cflags Qt5UiTools)" \
 QMAKE_CXXFLAGS_RELEASE+="%{_qt5_optflags} %(pkg-config --cflags Qt5UiTools)" \
 QMAKE_LFLAGS+="%{_qt5_ldflags} -Wl,-rpath -Wl,%{_QCAD_DIR}" \
 LFLAGS+="%{_qt5_ldflags} -Wl,-rpath -Wl,%{_QCAD_DIR}"
%make_build
%endif

%install

mkdir -p %{buildroot}%{_QCAD_DIR}/ts
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
mkdir -p %{buildroot}%{_QT_PLUGINS}/codecs
mkdir -p %{buildroot}%{_QT_PLUGINS}/script
mkdir -p %{buildroot}%{_QT_PLUGINS}/designer
mkdir -p %{buildroot}%{_QT_PLUGINS}/imageformats
mkdir -p %{buildroot}%{_QT_PLUGINS}/sqldrivers
mkdir -p %{buildroot}%{_QCAD_DIR}/plugins/codecs
mkdir -p %{buildroot}%{_QCAD_DIR}/plugins/designer
mkdir -p %{buildroot}%{_QCAD_DIR}/plugins/imageformats
mkdir -p %{buildroot}%{_QCAD_DIR}/plugins/sqldrivers
mkdir -p %{buildroot}%{_QCAD_DIR}/plugins/script
mkdir -p %{buildroot}%{_QCAD_DIR}/plugins/printsupport

## Install fonts
cp -a fonts %{buildroot}%{_QCAD_DIR}

# Unbundle vlgothic-fonts
ln -sf %{_fontbasedir}/vl-gothic-fonts/VL-Gothic-Regular.ttf %{buildroot}%{_QCAD_DIR}/fonts/VL-Gothic-Regular.ttf

# Unbundle dejavu-sans-fonts
for i in `ls %{buildroot}%{_QCAD_DIR}/fonts/qt | grep DejaVuSans`; do
 ln -sf %{_fontbasedir}/dejavu-sans-fonts/$i %{buildroot}%{_QCAD_DIR}/fonts/qt/$i
done
for i in `ls %{buildroot}%{_QCAD_DIR}/fonts/qt | grep DejaVuSansMono`; do
 ln -sf %{_fontbasedir}/dejavu-sans-mono-fonts/$i %{buildroot}%{_QCAD_DIR}/fonts/qt/$i
done
##

cp -a patterns %{buildroot}%{_QCAD_DIR}
cp -a themes %{buildroot}%{_QCAD_DIR}
cp -a libraries %{buildroot}%{_QCAD_DIR}
cp -a scripts %{buildroot}%{_QCAD_DIR}
cp -a plugins %{buildroot}%{_QCAD_DIR}
cp -a linetypes %{buildroot}%{_QCAD_DIR}

# This file is required for Help's "Show Readme" menu choice
cp -p readme.txt %{buildroot}%{_QCAD_DIR}

install -pm 644 ts/qcad*.qm %{buildroot}%{_QCAD_DIR}/ts

ln -sf %{_QT_PLUGINS}/imageformats/libqgif.so %{buildroot}%{_QCAD_DIR}/plugins/imageformats/libqgif.so
ln -sf %{_QT_PLUGINS}/imageformats/libqico.so %{buildroot}%{_QCAD_DIR}/plugins/imageformats/libqico.so
ln -sf %{_QT_PLUGINS}/imageformats/libqjpeg.so %{buildroot}%{_QCAD_DIR}/plugins/imageformats/libqjpeg.so
ln -sf %{_QT_PLUGINS}/imageformats/libqsvg.so %{buildroot}%{_QCAD_DIR}/plugins/imageformats/libqsvg.so
ln -sf %{_QT_PLUGINS}/imageformats/libqtga.so %{buildroot}%{_QCAD_DIR}/plugins/imageformats/libqtga.so
ln -sf %{_QT_PLUGINS}/imageformats/libqtiff.so %{buildroot}%{_QCAD_DIR}/plugins/imageformats/libqtiff.so

ln -sf %{_QT_PLUGINS}/sqldrivers/libqsqlite.so %{buildroot}%{_QCAD_DIR}/plugins/sqldrivers/libqsqlite.so
ln -sf %{_QT_PLUGINS}/printsupport/libcupsprintersupport.so %{buildroot}%{_QCAD_DIR}/plugins/printsupport/libcupsprintersupport.so

install -pm 644 scripts/qcad_icon.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -pm 755 release/*.so %{buildroot}%{_QCAD_DIR}
install -pm 755 release/%{name}-bin %{buildroot}%{_QCAD_DIR}
install -pm 644 readme.txt %{buildroot}%{_QCAD_DIR}

install -pm 644 qcad.1 %{buildroot}%{_mandir}/man1
install -pm 644 scripts/%{name}_icon.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

find %{buildroot}%{_QCAD_DIR} -name ".gitignore" -delete
find %{buildroot}%{_QCAD_DIR} -name "readme.txt" -delete
find %{buildroot}%{_QCAD_DIR} -name "Makefile" -delete

pushd %{buildroot}%{_QCAD_DIR}
for i in `find . -type f \( -name "*.so*" -o -name "qcad-bin" \)`; do
  chmod -c 755 $i
  chrpath -r %{_QCAD_DIR} $i
done
popd

cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
export \
LD_LIBRARY_PATH=%{_QCAD_DIR}:%{_QCAD_DIR}/plugins/script \
QTLIB=%{_qt5_libdir} \
QTDIR=%{_qt5_libdir} \
QTINC=%{_qt5_headerdir} \
QT_QPA_PLATFORM=xcb \
PATH=%{_libdir}:%{_QCAD_DIR}
%{_QCAD_DIR}/%{name}-bin "\$@"
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install        \
 --add-category Graphics    \
 --add-category Engineering \
 --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

mkdir -p %{buildroot}%{_metainfodir}
install -pm 644 %{SOURCE2} %{buildroot}%{_metainfodir}/
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml

%files
%doc README.md readme.txt
%license LICENSE.txt gpl-3.0.txt gpl-3.0-exceptions.txt cc-by-3.0.txt fonts/hershey.readme
%license fonts/README.sazanami fonts/LICENSE_E.mplus fonts/osifont_license.txt
%license src/3rdparty/dxflib/gpl-2.0greater.txt
%license src/3rdparty/spatialindexnavel/COPYING
%license src/3rdparty/stemmer/bsd-2.txt
%license src/3rdparty/opennurbs/readme.txt
%{_bindir}/%{name}
%{_QCAD_DIR}/
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/*

%changelog
## START: Generated by rpmautospec
* Mon Jan 27 2025 Antonio Trande <sagitter@fedoraproject.org> - 1:3.32.0.0-1
- Release 3.32.0.0

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.31.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jan 03 2025 Antonio Trande <sagitter@fedoraproject.org> - 1:3.31.2.0-1
- Release 3.31.2.0

* Sat Nov 30 2024 Antonio Trande <sagitter@fedoraproject.org> - 1:3.31.0.0-5
- Fix rhbz#2329620

* Thu Sep 26 2024 Miroslav Suchý <msuchy@redhat.com> - 1:3.31.0.0-4
- Migrate to SPDX license (temporary ids)

* Wed Sep 18 2024 Antonio Trande <sagitter@fedoraproject.org> - 1:3.31.0.0-3
- Create qt5-5.15.14 scripts

* Wed Sep 18 2024 Antonio Trande <sagitter@fedoraproject.org> - 1:3.31.0.0-2
- Create qt5-5.15.4 scripts

* Wed Sep 18 2024 Antonio Trande <sagitter@fedoraproject.org> - 1:3.31.0.0-1
- Release 3.31.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.30.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 13 2024 Antonio Trande <sagitter@fedoraproject.org> - 1:3.30.0.0-1
- Release 3.30.0.0

* Wed Mar 27 2024 Antonio Trande <sagitter@fedoraproject.org> - 1:3.29.5.0-2
- Use available Qt scripts

* Tue Mar 26 2024 Antonio Trande <sagitter@fedoraproject.org> - 1:3.29.5.0-1
- Release 3.29.5.0

* Sat Feb 03 2024 Antonio Trande <sagitter@fedoraproject.org> - 1:3.28.2.0-8
- Remove wise2 dependency

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.28.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.28.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 14 2024 Antonio Trande <sagitter@fedoraproject.org> - 1:3.28.2.0-5
- Fix Qt5 scripts

* Sun Jan 14 2024 Antonio Trande <sagitter@fedoraproject.org> - 1:3.28.2.0-4
- Fix BuildRequires packages

* Sun Jan 14 2024 Antonio Trande <sagitter@fedoraproject.org> - 1:3.28.2.0-3
- Add symlinks to Dejavu Sans Mono fonts

* Sun Jan 14 2024 Antonio Trande <sagitter@fedoraproject.org> - 1:3.28.2.0-2
- Fix rhbz#2258222 rhbz#2258327

* Thu Nov 09 2023 Antonio Trande <sagitter@fedoraproject.org> - 1:3.28.2.0-1
- Remove unbundling of spatialindex lib| Epoch 1| Use latest stable release
  (rhbz#2239159)

* Tue Sep 05 2023 Antonio Trande <sagitter@fedoraproject.org> - 3.28.2.2-1
- Release 3.28.2.2

* Wed Aug 09 2023 Antonio Trande <sagitter@fedoraproject.org> - 3.28.1.0-10
- Switch back to QMake build method| Workaround for unused SPECPARTS
  directory

* Wed Aug 09 2023 Antonio Trande <sagitter@fedoraproject.org> - 3.28.1.0-9
- Add new BR packages

* Wed Aug 09 2023 Antonio Trande <sagitter@fedoraproject.org> - 3.28.1.0-8
- Switch to CMake method

* Sun Aug 06 2023 Antonio Trande <sagitter@fedoraproject.org> - 3.28.1.0-7
- Add missing runtime dependency

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.28.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 24 2023 FAS Marie Loise Nolden <loise@kde.org> - 3.28.1.0-5
- remove qtwebengine

* Sat Jun 24 2023 FAS Marie Loise Nolden <loise@kde.org> - 3.28.1.0-4
- replace qtwebkit with qtwebengine

* Sat Jun 24 2023 FAS Marie Loise Nolden <loise@kde.org> - 3.28.1.0-3
- fix qt 5.15.9 -> 5.15.10 build

* Sun Apr 16 2023 Marie Loise Nolden <loise@kde.org> - 3.28.1.0-2
- fix qt 5.15.8 -> 5.15.9 build

* Fri Apr 07 2023 Antonio Trande <sagitter@fedoraproject.org> - 3.28.1.0-1
- Release 3.28.1.0

* Wed Mar 29 2023 Antonio Trande <sagitter@fedoraproject.org> - 3.28.0.0-3
- Fix License tag

* Tue Mar 28 2023 Antonio Trande <sagitter@fedoraproject.org> - 3.28.0.0-2
- Release 3.28.0.0| Add script bindings for Qt 5.15.8

* Tue Mar 28 2023 Antonio Trande <sagitter@fedoraproject.org> - 3.28.0.0-1
- Release 3.28.0.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.27.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 16 2023 Antonio Trande <sagitter@fedoraproject.org> - 3.27.9.0-1
- Release 3.27.9.0

* Thu Dec 08 2022 Marie Loise Nolden <loise@kde.org> - 3.27.8.0-3
- Update qcad.spec

* Thu Dec 08 2022 Marie Loise Nolden <loise@kde.org> - 3.27.8.0-2
- Update qcad.spec

* Sat Oct 08 2022 Antonio Trande <sagitter@fedoraproject.org> - 3.27.8.0-1
- Release 3.27.8.0

* Mon Oct 03 2022 Antonio Trande <sagitter@fedoraproject.org> - 3.27.7.0-1
- Release 3.27.7.0

* Sat Sep 03 2022 Marie Loise Nolden <loise@kde.org> - 3.27.6.0-4
- Update qcad.spec

* Tue Aug 09 2022 Antonio Trande <sagitter@fedoraproject.org> - 3.27.6.0-3
- Fix qt scripts

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.27.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri May 20 2022 Antonio Trande <sagitter@fedoraproject.org> - 3.27.6.0-1
- Release 3.27.6.0

* Tue May 10 2022 Antonio Trande <sagitter@fedoraproject.org> - 3.27.5.0-1
- Release 3.27.5.0

* Thu Apr 28 2022 Antonio Trande <sagitter@fedoraproject.org> - 3.27.2.0-2
- Release 3.27.2.0| Fix Qt5 scripts

* Thu Apr 28 2022 Antonio Trande <sagitter@fedoraproject.org> - 3.27.2.0-1
- Release 3.27.2.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.27.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 14 2021 Antonio Trande <sagitter@fedoraproject.org> - 3.27.1.0-1
- Release 3.27.1.0

* Fri Dec 03 2021 Antonio Trande <sagitter@fedoraproject.org> - 3.27.0.1-1
- Release 3.27.0.1

* Fri Sep 17 2021 Antonio Trande <sagitter@fedoraproject.org> - 3.26.4.0-1
- Release 3.26.4.0

* Sat Aug 21 2021 Antonio Trande <sagitter@fedoraproject.org> - 3.26.3.0-4
- Remove references to quazip

* Thu Aug 19 2021 Björn Esser <besser82@fedoraproject.org> - 3.26.3.0-3
- Rebuild (quazip)

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.26.3.0-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 31 2021 Antonio Trande <sagitter@fedoraproject.org> - 3.26.3.0-1
- Release 3.26.2.3

* Thu Apr 15 2021 Antonio Trande <sagitter@fedoraproject.org> - 3.26.2.0-1
- Release 3.26.2.0

* Mon Mar 08 2021 Antonio Trande <3974791-anto.trande@users.noreply.gitlab.com> - 3.26.1.0-1
- Release 3.26.1.0

* Wed Mar 03 2021 Antonio Trande <3974791-anto.trande@users.noreply.gitlab.com> - 3.26.0.1-2
- Filter private libraries

* Wed Mar 03 2021 Antonio Trande <3974791-anto.trande@users.noreply.gitlab.com> - 3.26.0.1-1
- Release 3.26.0.1

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.25.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 24 2020 Antonio T <sagitter@fedoraproject.org> - 3.25.2.0-3
- Fix 3rdparty libraries

* Thu Dec 24 2020 Antonio T <sagitter@fedoraproject.org> - 3.25.2.0-2
- Add make BR

* Fri Sep 04 2020 sagitter <sagitter@fedoraproject.org> - 3.25.2.0-1
- Release 3.25.2.0

* Mon Aug 31 2020 sagitter <sagitter@fedoraproject.org> - 3.25.1.0-1
- Release 3.25.1.0

* Sat Aug 22 2020 sagitter <sagitter@fedoraproject.org> - 3.25.0.0-2
- Fix 3rdparty directories

* Sat Aug 22 2020 sagitter <sagitter@fedoraproject.org> - 3.25.0.0-1
- Release 3.25.0.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.24.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 01 2020 Jeff Law <law@redhat.com> - 3.24.3.0-4
- Disable LTO

* Sat Jun 20 2020 sagitter <sagitter@fedoraproject.org> - 3.24.3.0-3
- Modification to the desktop file (rhbz#1849265)

* Sat Jun 20 2020 sagitter <sagitter@fedoraproject.org> - 3.24.3.0-2
- Modify to the desktop file (rhbz#1849265)

* Mon Apr 06 2020 sagitter <sagitter@fedoraproject.org> - 3.24.3.0-1
- Release 3.24.3.0

* Mon Mar 02 2020 sagitter <sagitter@fedoraproject.org> - 3.24.2.6-2
- Fix plugins macro

* Wed Feb 19 2020 sagitter <sagitter@fedoraproject.org> - 3.24.2.6-1
- Release 3.24.2.6

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.24.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jan 18 2020 sagitter <sagitter@fedoraproject.org> - 3.24.2.1-3
- Workaround for rhbz #1790550

* Wed Jan 15 2020 sagitter <sagitter@fedoraproject.org> - 3.24.2.1-2
- Fix desktop files

* Tue Jan 14 2020 sagitter <sagitter@fedoraproject.org> - 3.24.2.1-1
- Release 3.24.2.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.22.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 13 2019 sagitter <sagitter@fedoraproject.org> - 3.22.1.0-7
- Undo latest change

* Thu Jul 11 2019 sagitter <sagitter@fedoraproject.org> - 3.22.1.0-6
- Add qcad.rpmlintrc

* Thu Jul 11 2019 sagitter <sagitter@fedoraproject.org> - 3.22.1.0-5
- Use relative symlinks to the system fonts

* Thu Jul 11 2019 sagitter <sagitter@fedoraproject.org> - 3.22.1.0-4
- Remove filtering of private libraries

* Tue Jul 09 2019 sagitter <sagitter@fedoraproject.org> - 3.22.1.0-3
- Do not remove rpaths (rhbz #1728088)

* Fri May 31 2019 sagitter <sagitter@fedoraproject.org> - 3.22.1.0-2
- Add Qt-5.11.3 scripts

* Thu May 30 2019 sagitter <sagitter@fedoraproject.org> - 3.22.1.0-1
- Update to 3.22.1.0

* Tue Feb 05 2019 sagitter <sagitter@fedoraproject.org> - 3.21.3.15-1
- Update to 3.21.3.15

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.21.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Oct 11 2018 sagitter <sagitter@fedoraproject.org> - 3.21.3.2-1
- Update to 3.21.3.2

* Thu Jul 19 2018 sagitter <sagitter@fedoraproject.org> - 3.21.2.2-2
- Fix qt-5.9.6 scripts for Fedora 27

* Thu Jul 19 2018 sagitter <sagitter@fedoraproject.org> - 3.21.2.2-1
- Update to 3.21.2.2

* Sun Jul 15 2018 sagitter <sagitter@fedoraproject.org> - 3.20.1.3-4
- Add script bindings for Qt 5.11.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.20.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun May 20 2018 sagitter <sagitter@fedoraproject.org> - 3.20.1.3-2
- Include readme.txt for Help menu

* Sun May 20 2018 sagitter <sagitter@fedoraproject.org> - 3.20.1.3-1
- Update to 3.20.1.3

* Thu Apr 05 2018 sagitter <sagitter@fedoraproject.org> - 3.19.2.8-1
- Update to 3.19.2.8

* Sun Mar 04 2018 sagitter <sagitter@fedoraproject.org> - 3.19.2.3-4
- Build with Qt5 on fedora 26 too

* Sat Mar 03 2018 sagitter <sagitter@fedoraproject.org> - 3.19.2.3-3
- Fix Qt5-5.10.1 scripts

* Sat Mar 03 2018 sagitter <sagitter@fedoraproject.org> - 3.19.2.3-2
- Fix Qt5 scripts

* Sat Mar 03 2018 sagitter <sagitter@fedoraproject.org> - 3.19.2.3-1
- Update to 3.19.2.3

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.19.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 20 2018 sagitter <sagitter@fedoraproject.org> - 3.19.2.2-1
- Update to 3.19.2.2

* Thu Jan 18 2018 sagitter <sagitter@fedoraproject.org> - 3.19.1.0-6
- Fix move command

* Thu Jan 18 2018 sagitter <sagitter@fedoraproject.org> - 3.19.1.0-5
- Fix qt5 scripts binding

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.19.1.0-4
- Remove obsolete scriptlets

* Sat Dec 23 2017 sagitter <sagitter@fedoraproject.org> - 3.19.1.0-3
- Copy scripts for Qt 5.9.3

* Sat Dec 23 2017 sagitter <sagitter@fedoraproject.org> - 3.19.1.0-2
- Appdata file moved into metainfo data directory

* Sat Nov 11 2017 sagitter <sagitter@fedoraproject.org> - 3.19.1.0-1
- Update to 3.19.1.0

* Thu Nov 09 2017 sagitter <sagitter@fedoraproject.org> - 3.19.0.0-1
- Update to 3.19.0.0

* Sun Oct 08 2017 sagitter <sagitter@fedoraproject.org> - 3.18.1.0-2
- printsupport/libcupsprintersupport.so file symlinked (bz#1499418)

* Thu Oct 05 2017 sagitter <sagitter@fedoraproject.org> - 3.18.1.0-1
- Update to 3.18.1.0

* Fri Sep 22 2017 sagitter <sagitter@fedoraproject.org> - 3.18.0.0-2
- Remove older patch

* Fri Sep 22 2017 sagitter <sagitter@fedoraproject.org> - 3.18.0.0-1
- Update to 3.18.0.0

* Fri Aug 11 2017 sagitter <sagitter@fedoraproject.org> - 3.17.3.6-1
- Update to 3.17.3.6

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.17.3.1-3
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.17.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jul 08 2017 sagitter <sagitter@fedoraproject.org> - 3.17.3.1-1
- Update to 3.17.3.1

* Sat Jul 01 2017 sagitter <sagitter@fedoraproject.org> - 3.17.3.0-1
- Update to 3.17.3.0

* Sun Jun 18 2017 sagitter <sagitter@fedoraproject.org> - 3.17.1.5-1
- Update to 3.17.1.5 -post release commit #7f66d9

* Sat May 27 2017 sagitter <sagitter@fedoraproject.org> - 3.17.1.1-1
- Update to 3.17.1.1 and use Qt5

* Mon May 15 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.16.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Thu Mar 30 2017 sagitter <sagitter@fedoraproject.org> - 3.16.7.0-3
- Fix installation

* Thu Mar 30 2017 sagitter <sagitter@fedoraproject.org> - 3.16.7.0-2
- Fix detection of QCAD modules

* Mon Mar 27 2017 sagitter <sagitter@fedoraproject.org> - 3.16.7.0-1
- Update to 3.16.7.0

* Mon Mar 06 2017 sagitter <sagitter@fedoraproject.org> - 3.16.5.0-2
- Add linetypes directory (bz#1429248)

* Fri Feb 10 2017 sagitter <sagitter@fedoraproject.org> - 3.16.5.0-1
- Update to 3.16.5.0

* Wed Jan 11 2017 sagitter <sagitter@fedoraproject.org> - 3.16.4.0-1
- Update to 3.16.4.0

* Sun Jan 08 2017 sagitter <sagitter@fedoraproject.org> - 3.16.3.0-2
- Add quazip as Requires package

* Wed Dec 28 2016 sagitter <sagitter@fedoraproject.org> - 3.16.3.0-1
- Update to 3.16.3.0

* Wed Dec 21 2016 sagitter <sagitter@fedoraproject.org> - 3.16.2.0-26
- Package un-retired

* Sat Feb 23 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 2.0.5.0-25
- clog

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 2.0.5.0-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 21 2013 Adam Tkac <atkac@redhat.com> - 2.0.5.0-23
- Rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac@redhat.com> - 2.0.5.0-22
- rebuild against new libjpeg

* Sat Jul 21 2012 Dennis Gilmore <dennis@ausil.us> - 2.0.5.0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Dennis Gilmore <dennis@ausil.us> - 2.0.5.0-20
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Dennis Gilmore <dennis@ausil.us> - 2.0.5.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.0.5.0-18
- Rebuild for new libpng

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 2.0.5.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5.0-16
- dist-git conversion

* Sun Jul 04 2010 Alain Portal <dionysos@fedoraproject.org> - 2.0.5.0-15
- Patch to add some missing caracters to the latin1 charset - Patch to to
  fix a french mispelling - Frenchify desktop and spec files

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 2.0.5.0-14
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Mon Jul 27 2009 Jesse Keating <jkeating@fedoraproject.org> - 2.0.5.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 2.0.5.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 03 2008 Tom Callaway <spot@fedoraproject.org> - 2.0.5.0-11
- fix license tag

* Tue Mar 25 2008 Rex Dieter <rdieter@fedoraproject.org> - 2.0.5.0-10
- s/qt-devel/qt3-devel/

* Fri Feb 22 2008 Gérard Milmeister <gemi@fedoraproject.org> - 2.0.5.0-9
- patch to compile with GCC 4.3

* Tue Feb 19 2008 Jesse Keating <jkeating@fedoraproject.org> - 2.0.5.0-8
- Autorebuild for GCC 4.3

* Wed Jan 23 2008 Gérard Milmeister <gemi@fedoraproject.org> - 2.0.5.0-7
- added patch to add arc type tangential to menu

* Mon Aug 28 2006 Gérard Milmeister <gemi@fedoraproject.org> - 2.0.5.0-6
- *** empty log message ***

* Mon Aug 28 2006 Gérard Milmeister <gemi@fedoraproject.org> - 2.0.5.0-5
- Rebuild for FE6

* Sun Aug 27 2006 Ville Skyttä <scop@fedoraproject.org> - 2.0.5.0-4
- http://fedoraproject.org/wiki/Extras/Schedule/FC6MassRebuild

* Fri Feb 17 2006 Gérard Milmeister <gemi@fedoraproject.org> - 2.0.5.0-3
- Rebuild for Fedora Extras 5

* Thu Nov 24 2005 Gérard Milmeister <gemi@fedoraproject.org> - 2.0.5.0-2
- *** empty log message ***

* Wed Nov 23 2005 Gérard Milmeister <gemi@fedoraproject.org> - 2.0.5.0-1
- new version

* Thu May 26 2005 Jeremy Katz <katzj@fedoraproject.org> - 2.0.4.0-11
- and actually bump the release

* Thu May 26 2005 Jeremy Katz <katzj@fedoraproject.org> - 2.0.4.0-10
- fix build on 64bit arches (#158650)

* Sun May 22 2005 Jeremy Katz <katzj@fedoraproject.org> - 2.0.4.0-9
- rebuild on all arches

* Tue Apr 05 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.4.0-8
- Add missing line in qcad-assistant.patch which prevents orphans.

* Sat Mar 05 2005 Matthias Saou <thias@fedoraproject.org> - 2.0.4.0-7
- Further mass cleanup. One or more apply : - Remove (hopefully) all zero
  epoch remains. - Remove trailing spaces and tabs. - Keep consistency
  between tabs and spaces. - Clean up summary.

* Sun Feb 20 2005 Gérard Milmeister <gemi@fedoraproject.org> - 2.0.4.0-6
- Modified patch opening gnome-help instead of assistant if assistant not
  present

* Mon Feb 14 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.4.0-5
- don't create patch backup file in documentation directory, because it
  would be packaged

* Mon Feb 14 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.4.0-4
- complete previous commit

* Mon Feb 14 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.4.0-3
- qcad-assistant.patch

* Sun Feb 13 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.4.0-2
- drop remaining epochs in spec changelog

* Sun Feb 13 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.4.0-1
- auto-import qcad-2.0.4.0-1 on branch devel from qcad-2.0.4.0-1.src.rpm
## END: Generated by rpmautospec
